
Foreman - Bug #1947

wrong notice pressing the power on/off button for vmware hosts

11/15/2012 07:24 AM - Ivo Verberk

Status: Closed   

Priority: Low   

Assignee: Ohad Levy   

Category: VM management   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When the VM is powered on Foreman displays a notice saying it has stopped and vice-versa.

This bug appears in the vmware branch from Ohad Levy (commit 6707fa7450b374bb32bce317697112cff9901ca1)

Associated revisions

Revision a490a1a4 - 12/27/2012 10:50 AM - Ohad Levy

fixes #1947 - wrong notice pressing the power on/off button for vmware hosts

now using the real state from the server

also made sure that we validate power on/off requests

ensured our fog server objects respond to to_s and to state

Revision e1861bed - 01/06/2013 03:11 AM - Ohad Levy

refs #1947 - fixes typo

History

#1 - 12/27/2012 08:09 AM - Ohad Levy

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

fix at https://github.com/theforeman/foreman/pull/336, comments welcomed.

#2 - 12/27/2012 10:53 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a490a1a4fa85d834af6be6aae775cef3baec03e2.
